Subject: bug#25433: undo should restore cursor position too

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Jan 2017 10:36:52 +0200

> From: 積丹尼 Dan Jacobson
> 	<[email-masked]>
> Date: Fri, 13 Jan 2017 08:20:47 +0800
> 
> 1. Accidentally paste (C-y) many many lines into the middle of the file
> on the middle of your screen.
> 
> 2. Your first reaction of course is to hit undo (C-/).
> 
> 3. What you are looking at still leaves you worried. It sure doesn't
> look like what you were looking at before the accident happened.
> 
> 4. Your second reaction might be to hit undo again. Ahh, but that will
> only make things worse!
> 
> Actually the first undo fixed everything back up. It just left the
> cursor at a different position on the screen leaving you disoriented! It
> shouldn't do that. Undo should restore cursor position too.

I cannot reproduce this here: undo does restore the position of point
for me, as it should.  Do you see this in "emacs -Q"?  If so, please
provide a more detailed recipe, including the lines one needs to yank.